Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A utility for removing files based on when they were last accessed
Name: tmpwatch
Version: 2.11
Release: alt2_26
URL: https://pagure.io/%{name}
Source0: https://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2
License: GPL-2.0-only
Requires: psmisc
Provides: bundled(gnulib)
# configure is looking for /sbin/fuser
BuildRequires:  gcc
BuildRequires: psmisc
Source44: import.info

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%prep
%setup -q

%build
%configure
%make_build

%install
make DESTDIR=%{buildroot} INSTALL='install -p' install

mkdir -p %{buildroot}%{_bindir}
# The $(...) computes /usr/bin => ../../
ln -s $(echo %{_bindir} |sed 's,/[^/]\+,/..,g; s,^/,,')%{_sbindir}/tmpwatch \
   %{buildroot}%{_bindir}/tmpwatch

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/tmpwatch
%{_sbindir}/tmpwatch
%{_mandir}/man8/tmpwatch.8*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.11-alt2_26
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.11-alt2_25
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.11-alt2_24
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.11-alt2_23
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.11-alt2_22
- update to new release by fcimport

* Thu Dec 16 2021 Igor Vlasenko <viy@altlinux.org> 2.11-alt2_21
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.11-alt2_18
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.11-alt2_17
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.11-alt1_17
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.11-alt1_16
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 2.11-alt1_15
- new version

